@import "asciidoctor.css";

header {
    padding-top: 1em;
    padding-bottom: 1em;
    margin-left: 2em;
    margin-right: 2em;
    border-bottom: 1px solid #dddddf;
}

header > nav {
    display: flex;
    justify-content: space-between;
}

/* Undo Asciidoctor supplied margins on UL. */
header > nav > ul {
    margin: initial;
}

header > nav > .root-navigation > a {
    margin-right: 0.5em;
    /* Asciidoctor sets this on <ul> so we have to set it manually to line things up. */
    line-height: 1.6;
}

header > nav > ul > li {
    display: inline-block;
    margin-right: 0.5em;
}

header > nav > ul > li:first-child {
    margin-left: 0.5em;
}

header > nav > ul > li:not(:first-child):before {
    content: "\232A";
    margin-right: 0.5em;
}

form {
    margin: 1em;
}

form > fieldset > ul {
    list-style-type: none;
}

form > fieldset li {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

form > fieldset li > span > label {
    margin-right: 0.5em;
    text-transform: capitalize;
}

form > fieldset li select {
    max-width: max-content;
}

form ul, form ol {
    margin: initial;
}
